Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl
Class EmptyPanelBuilder<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.impl.EmptyPanelBuilder<T>

All Implemented Interfaces:
  PanelBuilder<T>

Direct Known Subclasses:
  DelayTestStepPanelBuilder, GotoStepPanelBuilder, GroovyScriptStepPanelBuilder, PropertiesStepPanelBuilder, TransferResponseValuesTestStepPanelBuilder, WorkspaceImplPanelBuilder, WsdlInterfacePanelBuilder, WsdlLoadTestPanelBuilder, WsdlMockOperationPanelBuilder, WsdlMockResponsePanelBuilder, WsdlMockServicePanelBuilder, WsdlOperationPanelBuilder, WsdlProjectPanelBuilder, WsdlRequestPanelBuilder, WsdlTestCasePanelBuilder, WsdlTestRequestPanelBuilder, WsdlTestSuitePanelBuilder

    public class EmptyPanelBuilder<T extends ModelItem>

extends java.lang.Object
implements PanelBuilder<T>

Empty PanelBuilder implementation for extension.

Author:
  Ole.Matzura

Constructor Summary
`EmptyPanelBuilder()`

Method Summary
`protected JPropertiesTable<T>` | `buildDefaultProperties(T modelItem, java.lang.String caption)`
`DesktopPanel` | `buildDesktopPanel(T modelItem)`
`java.awt.Component` | `buildOverviewPanel(T modelItem)`
`static EmptyPanelBuilder` | `get()`
`boolean` | `hasDesktopPanel()`
`boolean` | `hasOverviewPanel()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyPanelBuilder

    public EmptyPanelBuilder()

Method Detail

### get

    public static EmptyPanelBuilder get()

### buildOverviewPanel

    public java.awt.Component buildOverviewPanel(T modelItem)

  Specified by:
    `buildOverviewPanel` in interface `PanelBuilder<T extends ModelItem>`

### buildDefaultProperties

    protected JPropertiesTable<T> buildDefaultProperties(T modelItem,
                                                         java.lang.String caption)

### hasOverviewPanel

    public boolean hasOverviewPanel()

  Specified by:
    `hasOverviewPanel` in interface `PanelBuilder<T extends ModelItem>`

### hasDesktopPanel

    public boolean hasDesktopPanel()

  Specified by:
    `hasDesktopPanel` in interface `PanelBuilder<T extends ModelItem>`

### buildDesktopPanel

    public DesktopPanel buildDesktopPanel(T modelItem)

  Specified by:
    `buildDesktopPanel` in interface `PanelBuilder<T extends ModelItem>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.